document.addEventListener("DOMContentLoaded", function() {
  var submitButtons = document.querySelectorAll('#top_submit, #modal_submit');

  submitButtons.forEach(function(button) {
    button.addEventListener('mouseover', function() {
      setHumanoValue();
    });

    button.addEventListener('focus', function() {
      setHumanoValue();
    });
  });

  window.addEventListener('scroll', function() {
    if (document.querySelector('input[name="humano"]')) {
      setHumanoValue();
    }
  });

  function setHumanoValue() {
    var humanoInput = document.querySelector('input[name="humano"]');
    if (humanoInput) {
      humanoInput.value = "tweb.02";
    }
  }
});
